List emails
List the team's emails, newest first, filtered and paged by the query parameters.
GET
https://app.usenotix.dev/api/v1/emailsFull access and read only keys can call this. Sending access keys cannot. Key permissions lists the extra rules some calls have.
List the team's emails, newest first, filtered and paged by the query parameters.
Query parameters
pageinteger
Minimum 1. Maximum 10000. Default 1.
limitinteger
Minimum 1. Maximum 50. Default 50.
startDatestring (date-time)
endDatestring (date-time)
domainIdstring or string[]
Headers
Authorizationstringrequired
Bearer followed by your API key.
curl -X GET "https://app.usenotix.dev/api/v1/emails" \
-H "Authorization: Bearer $NOTIX_API_KEY"
Response200
{
"data": [
{
"id": "cm1x8f3k20001qz7v5b9d2e4a",
"to": "customer@example.com",
"from": "Acme <receipts@acme.com>",
"subject": "Your receipt for order 4471",
"html": "<p>Thanks for your order.</p>",
"text": "Thanks for your order.",
"createdAt": "string",
"updatedAt": "string",
"latestStatus": "SCHEDULED",
"scheduledAt": "2026-10-01T09:00:00Z",
"domainId": 1
}
],
"count": 1
}